> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List ACS Systems

> Returns a list of all [access systems](https://docs.seam.co/low-level-apis/access-systems).

To filter the list of returned access systems by a specific connected account ID, include the `connected_account_id` in the request body. If you omit the `connected_account_id` parameter, the response includes all access systems connected to your workspace.



## OpenAPI

````yaml /openapi.json post /acs/systems/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/systems/list:
    post:
      tags:
        - /acs
      summary: List ACS Systems
      description: >-
        Returns a list of all [access
        systems](https://docs.seam.co/low-level-apis/access-systems).


        To filter the list of returned access systems by a specific connected
        account ID, include the `connected_account_id` in the request body. If
        you omit the `connected_account_id` parameter, the response includes all
        access systems connected to your workspace.
      operationId: acsSystemsListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                connected_account_id:
                  description: >-
                    ID of the connected account by which you want to filter the
                    list of access systems.
                  format: uuid
                  type: string
                customer_key:
                  description: Customer key for which you want to list access systems.
                  type: string
                search:
                  description: >-
                    String for which to search. Filters returned access systems
                    to include all records that satisfy a partial match using
                    `name` or `acs_system_id`.
                  minLength: 1
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  acs_systems:
                    items:
                      $ref: '#/components/schemas/acs_system'
                    type: array
                  ok:
                    type: boolean
                required:
                  - acs_systems
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - client_session_with_customer: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.systems.list({
              connected_account_id: "2283a842-27c5-474a-bd0e-4c959274efa0",
            });

            /*
            [
              {
                "acs_access_group_count": 5,
                "acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
                "acs_user_count": 20,
                "connected_account_id": "2283a842-27c5-474a-bd0e-4c959274efa0",
                "connected_account_ids": [
                  "a94aeed0-1ae0-4e49-9c23-8444c7ceba09"
                ],
                "created_at": "2025-06-15T16:54:17.946425Z",
                "default_credential_manager_acs_system_id": "5dde2def-3507-44f5-9521-7ca96aa4cd18",
                "errors": [],
                "external_type": "salto_ks_site",
                "external_type_display_name": "Salto KS site",
                "image_alt_text": "Salto KS site Logo",
                "image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
                "is_credential_manager": false,
                "location": {
                  "time_zone": "America/New_York"
                },
                "name": "My Access System",
                "warnings": [],
                "workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/systems/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "connected_account_id": "2283a842-27c5-474a-bd0e-4c959274efa0"
            }

            EOF


            # Response:

            # {

            #   "acs_systems": [

            #     {

            #       "acs_access_group_count": 5,

            #       "acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",

            #       "acs_user_count": 20,

            #       "connected_account_id":
            "2283a842-27c5-474a-bd0e-4c959274efa0",

            #       "connected_account_ids": [

            #         "a94aeed0-1ae0-4e49-9c23-8444c7ceba09"

            #       ],

            #       "created_at": "2025-06-15T16:54:17.946425Z",

            #       "default_credential_manager_acs_system_id":
            "5dde2def-3507-44f5-9521-7ca96aa4cd18",

            #       "errors": [],

            #       "external_type": "salto_ks_site",

            #       "external_type_display_name": "Salto KS site",

            #       "image_alt_text": "Salto KS site Logo",

            #       "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",

            #       "is_credential_manager": false,

            #       "location": {

            #         "time_zone": "America/New_York"

            #       },

            #       "name": "My Access System",

            #       "warnings": [],

            #       "workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: >-
            seam.acs.systems.list(connected_account_id="2283a842-27c5-474a-bd0e-4c959274efa0")


            # [
                AcsSystem(
                    acs_access_group_count=5,
                    acs_system_id="dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
                    acs_user_count=20,
                    connected_account_id="2283a842-27c5-474a-bd0e-4c959274efa0",
                    connected_account_ids=["a94aeed0-1ae0-4e49-9c23-8444c7ceba09"],
                    created_at="2025-06-15T16:54:17.946425Z",
                    default_credential_manager_acs_system_id="5dde2def-3507-44f5-9521-7ca96aa4cd18",
                    errors=[],
                    external_type="salto_ks_site",
                    external_type_display_name="Salto KS site",
                    image_alt_text="Salto KS site Logo",
                    image_url="https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
                    is_credential_manager=false,
                    location={"time_zone": "America/New_York"},
                    name="My Access System",
                    warnings=[],
                    workspace_id="172920be-1f4d-45d4-8519-ecc3bdee638f",
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.acs.systems.list(connected_account_id:
            "2283a842-27c5-474a-bd0e-4c959274efa0")


            # => [
              {
                "acs_access_group_count" => 5,
                "acs_system_id" => "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
                "acs_user_count" => 20,
                "connected_account_id" => "2283a842-27c5-474a-bd0e-4c959274efa0",
                "connected_account_ids" => ["a94aeed0-1ae0-4e49-9c23-8444c7ceba09"],
                "created_at" => "2025-06-15T16:54:17.946425Z",
                "default_credential_manager_acs_system_id" => "5dde2def-3507-44f5-9521-7ca96aa4cd18",
                "errors" => [],
                "external_type" => "salto_ks_site",
                "external_type_display_name" => "Salto KS site",
                "image_alt_text" => "Salto KS site Logo",
                "image_url" =>
                  "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
                "is_credential_manager" => false,
                "location" => {
                  time_zone: "America/New_York",
                },
                "name" => "My Access System",
                "warnings" => [],
                "workspace_id" => "172920be-1f4d-45d4-8519-ecc3bdee638f",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->systems->list(
                connected_account_id: "2283a842-27c5-474a-bd0e-4c959274efa0",
            );

            // [
                [
                    "acs_access_group_count" => 5,
                    "acs_system_id" => "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
                    "acs_user_count" => 20,
                    "connected_account_id" => "2283a842-27c5-474a-bd0e-4c959274efa0",
                    "connected_account_ids" => ["a94aeed0-1ae0-4e49-9c23-8444c7ceba09"],
                    "created_at" => "2025-06-15T16:54:17.946425Z",
                    "default_credential_manager_acs_system_id" =>
                        "5dde2def-3507-44f5-9521-7ca96aa4cd18",
                    "errors" => [],
                    "external_type" => "salto_ks_site",
                    "external_type_display_name" => "Salto KS site",
                    "image_alt_text" => "Salto KS site Logo",
                    "image_url" =>
                        "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
                    "is_credential_manager" => false,
                    "location" => ["time_zone" => "America/New_York"],
                    "name" => "My Access System",
                    "warnings" => [],
                    "workspace_id" => "172920be-1f4d-45d4-8519-ecc3bdee638f",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs systems list --connected_account_id
            "2283a842-27c5-474a-bd0e-4c959274efa0"


            # [

            #   {

            #     "acs_access_group_count": 5,

            #     "acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",

            #     "acs_user_count": 20,

            #     "connected_account_id":
            "2283a842-27c5-474a-bd0e-4c959274efa0",

            #     "connected_account_ids": [

            #       "a94aeed0-1ae0-4e49-9c23-8444c7ceba09"

            #     ],

            #     "created_at": "2025-06-15T16:54:17.946425Z",

            #     "default_credential_manager_acs_system_id":
            "5dde2def-3507-44f5-9521-7ca96aa4cd18",

            #     "errors": [],

            #     "external_type": "salto_ks_site",

            #     "external_type_display_name": "Salto KS site",

            #     "image_alt_text": "Salto KS site Logo",

            #     "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",

            #     "is_credential_manager": false,

            #     "location": {

            #       "time_zone": "America/New_York"

            #     },

            #     "name": "My Access System",

            #     "warnings": [],

            #     "workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"

            #   }

            # ]
components:
  schemas:
    acs_system:
      description: >-
        Represents an [access control
        system](https://docs.seam.co/low-level-apis/access-systems).


        Within an `acs_system`, create
        [`acs_user`s](https://docs.seam.co/api/acs/users/object#acs_user) and
        [`acs_credential`s](https://docs.seam.co/api/acs/credentials/object#acs_credential)
        to grant access to the `acs_user`s.


        For details about the resources associated with an access control
        system, see the [access control systems
        namespace](https://docs.seam.co/api/acs/object).
      properties:
        acs_access_group_count:
          format: float
          type: number
        acs_system_id:
          description: >-
            ID of the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          format: uuid
          type: string
        acs_user_count:
          format: float
          type: number
        connected_account_id:
          description: >-
            ID of the [connected
            account](https://docs.seam.co/core-concepts/connected-accounts)
            associated with the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          format: uuid
          type: string
        connected_account_ids:
          deprecated: true
          description: >-
            IDs of the [connected
            accounts](https://docs.seam.co/core-concepts/connected-accounts)
            associated with the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          items:
            format: uuid
            type: string
          type: array
          x-deprecated: Use `connected_account_id`.
        created_at:
          description: >-
            Date and time at which the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) was
            created.
          format: date-time
          type: string
        default_credential_manager_acs_system_id:
          description: >-
            ID of the default credential manager `acs_system` for this [access
            control system](https://docs.seam.co/low-level-apis/access-systems).
          format: uuid
          nullable: true
          type: string
        errors:
          type: array
          description: >-
            Errors associated with the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          items:
            type: object
            properties:
              error_code:
                type: string
                description: Error or warning code.
              message:
                type: string
                description: Human-readable description.
              created_at:
                type: string
                format: date-time
                description: When this error or warning was generated.
        external_type:
          description: >-
            Brand-specific terminology for the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) type.
          enum:
            - pti_site
            - avigilon_alta_org
            - salto_ks_site
            - salto_space_system
            - brivo_account
            - hid_credential_manager_organization
            - visionline_system
            - assa_abloy_credential_service
            - latch_building
            - dormakaba_community_site
            - dormakaba_ambiance_site
            - legic_connect_credential_service
            - assa_abloy_vostio
            - assa_abloy_vostio_credential_service
            - hotek_site
          type: string
        external_type_display_name:
          description: >-
            Display name that corresponds to the brand-specific terminology for
            the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) type.
          type: string
        image_alt_text:
          description: >-
            Alternative text for the [access control
            system](https://docs.seam.co/low-level-apis/access-systems) image.
          type: string
        image_url:
          description: >-
            URL for the image that represents the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          type: string
        is_credential_manager:
          description: Indicates whether the `acs_system` is a credential manager.
          type: boolean
        location:
          properties:
            time_zone:
              description: >-
                Time zone in which the [access control
                system](https://docs.seam.co/low-level-apis/access-systems) is
                located.
              nullable: true
              type: string
          required:
            - time_zone
          type: object
        name:
          description: >-
            Name of the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          type: string
        system_type:
          deprecated: true
          enum:
            - pti_site
            - avigilon_alta_org
            - salto_ks_site
            - salto_space_system
            - brivo_account
            - hid_credential_manager_organization
            - visionline_system
            - assa_abloy_credential_service
            - latch_building
            - dormakaba_community_site
            - dormakaba_ambiance_site
            - legic_connect_credential_service
            - assa_abloy_vostio
            - assa_abloy_vostio_credential_service
            - hotek_site
          type: string
          x-deprecated: Use `external_type`.
        system_type_display_name:
          deprecated: true
          type: string
          x-deprecated: Use `external_type_display_name`.
        visionline_metadata:
          properties:
            lan_address:
              description: >-
                IP address or hostname of the main Visionline server relative to
                [Seam
                Bridge](https://docs.seam.co/capability-guides/seam-bridge) on
                the local network.
              type: string
            mobile_access_uuid:
              description: >-
                Keyset loaded into a reader. Mobile keys and reader
                administration tools securely authenticate only with readers
                programmed with a matching keyset.
              type: string
            system_id:
              description: >-
                Unique ID assigned by the ASSA ABLOY licensing team that
                identifies each hotel in your credential manager.
              type: string
          required:
            - mobile_access_uuid
            - system_id
            - lan_address
          type: object
        warnings:
          description: >-
            Warnings associated with the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          items:
            description: >-
              Warning associated with the [access control
              system](https://docs.seam.co/low-level-apis/access-systems).
            discriminator:
              propertyName: warning_code
            oneOf:
              - description: >-
                  Indicates that the Salto KS site has exceeded 80% of the
                  maximum number of allowed users. Increase your subscription
                  limit or delete some users from your site to rectify the
                  issue.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - salto_ks_subscription_limit_almost_reached
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates the [access control
                  system](https://docs.seam.co/low-level-apis/access-systems)
                  time zone could not be determined because the reported
                  physical location does not match the time zone configured on
                  the physical [ACS
                  entrances](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details).
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  misconfigured_acs_entrance_ids:
                    deprecated: true
                    items:
                      format: uuid
                      type: string
                    type: array
                    x-deprecated: this field is deprecated.
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - time_zone_does_not_match_location
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
              - description: >-
                  Indicates that the access control system requires additional
                  setup before it can be fully operational. Follow the
                  instructions in the warning message to complete the setup.
                properties:
                  created_at:
                    description: Date and time at which Seam created the warning.
                    format: date-time
                    type: string
                  message:
                    description: >-
                      Detailed description of the warning. Provides insights
                      into the issue and potentially how to rectify it.
                    type: string
                  warning_code:
                    description: >-
                      Unique identifier of the type of warning. Enables quick
                      recognition and categorization of the issue.
                    enum:
                      - setup_required
                    type: string
                required:
                  - created_at
                  - message
                  - warning_code
                type: object
          type: array
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the [access control
            system](https://docs.seam.co/low-level-apis/access-systems).
          format: uuid
          type: string
      required:
        - acs_system_id
        - is_credential_manager
        - location
        - name
        - created_at
        - workspace_id
        - connected_account_ids
        - connected_account_id
        - image_url
        - image_alt_text
        - errors
        - warnings
      type: object
      x-route-path: /acs/systems
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````